import type { DefineComponent, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
declare const _sfc_main: DefineComponent<{
    height: NumberConstructor;
}, {
    emit: (event: "row-contextmenu", ...args: any[]) => void;
    TableRef: Ref<any>;
    Table_isOpenMultipleSelection: Ref<boolean>;
    Table_isOpenIndex: Ref<boolean>;
    Table_isOpenExpand: Ref<boolean>;
    Table_ExpandColumn: Ref<number>;
    Table_MenuAlign: Ref<"left" | "center" | "right">;
    Table_MenuWidth: Ref<number>;
    Page_PageParams: Ref<{
        current: number;
        pageSize: number;
        total: number;
    }>;
    Permission: Ref<{
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
        remove: string;
    }>;
    CompRef: any;
    tableData: Ref<[]>;
    tableLoading: Ref<boolean>;
    filter: Ref<ElementArrsType>;
    column: Ref<ElementArrsType>;
    columns: Ref<ElementArrsType>;
    searchModel: {
        [x: string]: any;
    };
    multipleSelection: Ref<[]>;
    rowKey: Ref<any>;
    keyName: Ref<any>;
    Table_Attributes: Ref<any>;
    queryRecord: () => void;
    editRecord: (row: any) => void;
    delFlag: (row: any) => void;
    deleteRecord: (row: any) => void;
    indexMethod: ComputedRef<number>;
    handleSelectionChange: (value: any) => void;
    cellDblclick: (_row: any, column: any, cell: any, _event: any) => void;
    rowContextmenu: (row: any, column: any, event: any) => void;
    expandComputed: (row: {
        [x: string]: any;
    }, item: columnsItemType, key: string | number) => any;
    tableComponentProps: (tableColumn: any, scope: any) => any;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "row-contextmenu"[], "row-contextmenu", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    height: NumberConstructor;
}>> & {
    "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
}, {}>;
export default _sfc_main;
