import type { Ref } from 'vue';
/** 系统默认配置参数 */
export declare const DefParams: Ref<{
    debug: boolean;
    mainMaxHeight: number;
    Table_isOpenIndex: boolean;
    Table_isOpenMultipleSelection: boolean;
    Table_isOpenExpand: boolean;
    Table_ExpandColumn: number;
    Table_MenuWidth: number;
    Table_MenuAlign: "left" | "center" | "right";
    Page_PageSizes: number[];
    Page_PageParams: {
        current: number;
        pageSize: number;
        total: number;
    };
    Page_Layout: string;
    Page_isHideOnSinglePage: boolean;
    isOpenSearchForm: boolean;
    Form_LabelWidth: number;
    Dialog_Width: number;
    Dialog_isFullscreen: boolean;
    Dialog_isCloseOnPressEscape: boolean;
    Dialog_isCloseOnClickModal: boolean;
    Dialog_isFooterButton: boolean;
    isAfterMountQuery: boolean;
    ApiName: {
        query: string;
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
        remove: string;
    };
    Permission: {
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
        remove: string;
    };
    Permissions: string[];
}>;
/** 组件共享参数 */
export declare const CrudState: Ref<{
    CompRef: any;
    Mode: any;
    DialogVisible: any;
    tableLoading: any;
    submitLoading: any;
    DialogVisibleFooterButton: any;
    ElementArrs: any;
    tableColumn: any;
    originalData: any;
    tableData: any;
    multipleSelection: any;
    uploadFiles: any;
    initSearchModel: {
        [x: string]: any;
    };
    initEditModel: {
        [x: string]: any;
    };
    searchFormValue: {
        [x: string]: any;
    };
    searchModel: {
        [x: string]: any;
    };
    editFormValue: {
        [x: string]: any;
    };
    editModel: {
        [x: string]: any;
    };
}>;
/** 根组件传入的Props */
export declare const CrudProps: any;
