/** 钩子支持的名称 */
declare const hooksName: HooksNameType;
/**
 * 注册钩子
 * @param hooks 组件注册的钩子对象
 * @returns 返回钩子处理函数及钩子名称
 */
declare function useHooks(hooks?: HooksConfigType): {
    hookHandler: (hookName: string, data: {
        CrudState: any;
        Data: any;
    }) => boolean;
};
export { hooksName, useHooks };
