/***********************************   方法   *********************************** */
/** 初始化通知 */
declare const CRUD_Notification: (title: string, type?: 'success' | 'warning' | 'info' | 'error') => void;
/**
 * 深拷贝
 * @param Obj 需要拷贝的数据对象
 * @returns 一个新的数据对象
 */
declare function DeepClone(Obj: any): any;
/** 数据合并 */
declare function DataMerger(...args: any): any;
/**
 * 比较两个 Obj 的值是否修改
 * @param obj1 原obj
 * @param obj2 新obj
 * @returns 修改过的obj
 */
declare function isObjEqual(obj1: any, obj2: any): any;
/***********************************   方法   *********************************** */
export { DeepClone, DataMerger, isObjEqual, CRUD_Notification };
